@import "src/scss/mixins";
@import "src/scss/variables";
.items-container{
  width: 90%;
  margin-top: 50px;
}
.items-list{
  @include flexCenter(flex-start);
  flex-wrap: wrap;
  column-gap: 1%;
  row-gap: 40px;
  &--table{
    flex-direction: column;
  }
}
.product-item{
  width: 24%;
  height: 520px;
  list-style: none;
  @include flexCenter(center);
  flex-direction: column;
  &:hover{
    background-color: #F1F1F1;
  }
}

.product-item.cart{
  height: 400px;
}
.image-container, .image{
  width: 100%;
  height: 400px;
  position: relative;
}
.image.cart{
  height: 270px;
}
.item-button{
  position: absolute;
  bottom: 5%;
  right: 5%;
  cursor: pointer;
}
.favorite{
  &:hover{
    fill: red;
  }
}
.item-details{
  @include flexCenter(center);
  flex-direction: column;
  &__heading{
    @include textProp(16px, normal, $text-color);
    padding-top: 5px;
  }
  &__price{
    padding-top: 5px;
    @include textProp(16px, bold, $text-color);
  }
  &__color{
    margin-top: 10px;
    margin-bottom: 10px;
      border-radius: 50%;
      width: 15px;
      height: 15px;
  }

  //table
  &__heading.table{
    font-size: 21px;
  }
  &__price.table{
    font-size: 21px;
  }
  &__color.table{
    width: 35px;
    height: 35px;
  }
}
.add-to-cart{
  width: 170%;
  padding-top: 8px;
  padding-bottom: 8px;
  background-color: $color-btn;
  opacity: 0.9;
  border-radius: 0;
  @include textProp(16px, normal, $modal-color-btn2);
  @include flexCenter(center);
  cursor: pointer;
  &:hover{
    opacity: 0.8;
  }
  &>svg{
    fill: #ffffff;
    width: 20px;
    height: 20px;
  }
  &>span{
    margin-left: 15px;
  }
}

// table
.items-list.table{
  flex-direction: column;
}
.product-item.table, .product-item.cart.table{
  width: 100%;
  height: 250px;
  flex-direction: row;
  justify-content: space-between;

}
.image-container.table{
  width: 40%;
  height: 250px;
  position: relative;
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.image.table, .image.cart.table{
  width: 200px;
  height: 100%;
}

.item-button.table{
  //background-color: black;
  position: relative;
  bottom: 0;
  right: 0;
}

.item-details.table{
  width:100%;
  flex-direction: row;
  justify-content: space-evenly;
}

.add-to-cart.table{
  width: 20%;
  padding-top: 25px;
  padding-bottom: 25px;
  justify-content: center;
}


.cart{
  //width: 70%;
}
.cart-container{
  @include flexCenter(space-between);
  width: 100%;
  padding: 30px;
  align-items: flex-start;
}
.cart-container__items{
  width: 70%;
}
.image-cart{
  width: 100%;
  height: 300px;
  position: relative;
}
.delete-icon > svg{
  margin-right: 0;
}

.not-fav-icon{
  fill: #ffffff;
}
.not-fav-icon.table{
  fill: #000000;
}